<?php

namespace App\Controller;

use App\Repository\FilmRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Bundle\SecurityBundle\Security;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class DashboardController extends AbstractController
{
    #[Route('/dashboard', name: 'app_dashboard')]
    public function index(FilmRepository $filmRepository, Security $security): Response
    {
        /** @var \App\Entity\User $user */
        $user = $security->getUser();
        $nbSeen = $filmRepository->nbFilmSeenBy ($user->getId());
        $nbToSee = $filmRepository->nbFilmToSeeBy($user->getId());
        return $this->render('dashboard/index.html.twig', [
            'nbSeen'    => $nbSeen,
            'nbToSee'   => $nbToSee
        ]);
    }
}
